Skip to main content

Create authorisation code

POST https://wallet.paysera.com/rest/v1/authorisation-code/rest/v1/authorisation-codes

Create long-term transaction authorization code attached to specific amount and wallet.

Can be used to authorize specific transactions.

Authorization​

This endpoint requires MAC (Message Authentication Code) authentication.

Authorization Header Format:

Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"

Example:

Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"

For more details, see the Authentication section.

Request Body​

FieldTypeRequiredDescription
descriptionstringDescription for this code
valid_untilinteger✓Timestamp until code is valid (must be in the future)
authorised_amountobject✓Amount details
authorised_amount.amountinteger✓Amount in cents (must be positive)
authorised_amount.currencystring✓Currency code (e.g., "EUR")

Example​

Request​

POST https://wallet.paysera.com/rest/v1/authorisation-code/rest/v1/authorisation-codes
Content-Type: application/json
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"
{
"description": "some description",
"valid_until": 1234567890,
"authorised_amount": {
"amount": 100,
"currency": "EUR"
}
}

Response​

{}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://wallet.paysera.com
Body REQUIRED
{
"description": "some description",
"valid_until": 1234567890,
"authorised_amount": {
"amount": 100,
"currency": "EUR"
}
}

RESPONSE

Authorisation code created
{}